#!/usr/bin/env node

'use strict';

const fs = require('fs');
const path = require('path');
const proc = require('process');
const mri = require('mri');

const { createRunCommand, runSetup } = require('./support');

const args = proc.argv.slice(2);
const argv = mri(args, {
  default: {
    cwd: proc.cwd(),
  },
});

const runCommand = createRunCommand(args.slice(1), argv);

const cmd = argv._[0];

// If one config is missing, then all are missing.
if (!fs.existsSync(path.join(__dirname, 'commands', 'lint', 'config.js'))) {
  runSetup(argv);
}

runCommand(cmd).catch(console.error);
